## mew 1.94.2

=== info/Makefile ===
###
### Makefile for info
###
### Author:  Kazu Yamamoto <Kazu@Mew.org>
### Created: Aug 22, 1999
### Revised: 

###
### (1) make install EMACS=xemacs
### (2) make install-info PREFIX=/usr/local
###

################################################################
##
## EDIT THE FOLLOWINGS
##

#EMACS=xemacs
#PREFIX=/usr/local
#INFODIR

INSTALLINFO = `which install-info`
#INSTALLINFO = /usr/local/bin/install-info

RM = rm -f
MKDIR = mkdir -p
TOUCH = touch

################################################################
##
## DO NOT EDIT THE FOLLOWINGS
##

INFO  = mew.info mew.info-1 mew.info-2 mew.info-3
JINFO = mew.jis.info mew.jis.info-1 mew.jis.info-2

info::
	sed -e 's/@setfilename mew.jis.info/@setfilename mew.info/' \
	    -e 's/@set jp/@set us/' mew.texi > tmp.texi
	mv tmp.texi mew.texi
	$(RM) mew.info*
	$(TOUCH) mew.info
	$(EMACS) -batch -q -no-site-file -l texinfmt \
		-f batch-texinfo-format mew.texi

jinfo::
	sed -e 's/@setfilename mew.info/@setfilename mew.jis.info/' \
	    -e 's/@set us/@set jp/' mew.texi > tmp.texi
	mv tmp.texi mew.texi
	$(RM) mew.jis.info*
	$(TOUCH) mew.jis.info
	$(EMACS) -batch -q -no-site-file -l texinfmt \
		-f batch-texinfo-format mew.texi

install-info:
	-@if [ ! -d $(INFODIR) ]; then \
		$(MKDIR) $(INFODIR); \
	fi; \
	cp $(INFO) $(INFODIR)
	-@if [ -x "$(INSTALLINFO)" ]; then \
		$(INSTALLINFO) mew.info $(INFODIR)/dir; \
	else \
		echo "Don't forget to edit $(INFODIR)/dir for Mew."; \
	fi

install-jinfo:
	-@if [ ! -d $(INFODIR) ]; then \
		$(MKDIR) $(INFODIR); \
	fi; \
	cp $(JINFO) $(INFODIR)
	-@if [ -x "$(INSTALLINFO)" ]; then \
		$(INSTALLINFO) mew.jis.info $(INFODIR)/dir; \
	else \
		echo "Don't forget to edit $(INFODIR)/dir for Mew."; \
	fi
##
## End of Makefile
##

## mew 6.3

=== debian/changelog ===
mew (1:6.3-3) unstable; urgency=low

  * debian/patches/030_stunnel4.patch: Patch from upstream to catch up to
    stunnel 4.39.
  * debian/patches/020_ruby1.8.patch: Patch to use ruby1.8 instead of ruby.
  * debian/control:
    - Recommends ruby1.8 instead of ruby.
    - Update Standards-Version to 3.9.2.
  * debian/copyright: Switch to the DEP-5 format.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 01 Sep 2011 00:01:33 +0900

mew (1:6.3-2) unstable; urgency=low

  * debian/control:
    - Add `emacs-snapshot' to Depends.
    - Set Section of mew to lisp.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 06 Jan 2010 23:55:26 +0900

mew (1:6.3-1) unstable; urgency=low

  * New upstream release.
    - UTF-8 hack for Emacs 23. (closes: #542049)
  * debian/*: Merged from mew-beta.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 21 Nov 2009 07:37:16 +0900

mew (1:6.2-1) unstable; urgency=low

  * New upstream release. (closes: #484937)
    - XEmacs is no longer supported.
    - Guarding broken UTF-7. (closes: #492428)
    - Implementing encoding of format=flowed.
  * debian/*: Merged from mew-beta.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 16 Feb 2009 21:30:41 +0900

mew (1:5.2-4) unstable; urgency=low

  * debian/mew-bin.postinst, debian/mew-bin.prerm: New files to provide
    an alternative for pinentry.
  * debian/control:
    - Move `Homepage:' from Description to the header.
    - Set Standards-Version to 3.7.3.
  * debian/copyright: Updated.
  * debian/README.Debian.in: Clarify the default configuration for mew-ssl.

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 22 Feb 2008 22:22:59 +0900

mew (1:5.2-3) unstable; urgency=low

  * debian/control: Prefer emacs to emacs21.
  * debian/rules (clean): Check whether Makefile exists.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 15 Jul 2007 00:17:43 +0900

mew (1:5.2-2) unstable; urgency=medium

  * mew-pop.el: Preventing APOP attack. [CVE-2007-1558]
  * debian/emacsen-install.in: Rename path.el to __path.el.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 23 Apr 2007 20:51:39 +0900

mew (1:5.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control, debian/rules: Merged from mew-beta.
  * debian/watch: Detect "rc" and "pre".
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Apr 2007 19:55:48 +0900

mew (1:4.2-3) unstable; urgency=low

  * debian/emacsen-startup.in: Load `timer' on XEmacs to use `cancel-timer'.
    (closes: #372807)

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 17 Jun 2006 22:19:17 +0900

mew (1:4.2-2) unstable; urgency=low

  * debian/watch: Update URL.
  * debian/control: Suggests ca-certificates.
  * debian/copyright: Updated.
  * debian/control (Build-Depends): Depend on debhelper version 5.
  * debian/compat: 3 -> 5.
  * debian/control (Standards-Version): 3.6.1 -> 3.7.2.
  * debian/control (Maintainer): tats@vega.ocn.ne.jp -> tats@debian.org.
  * debian/copyright: Ditto.

 -- Tatsuya Kinoshita <tats@debian.org>  Thu,  8 Jun 2006 01:24:04 +0900

mew (1:4.2-1) unstable; urgency=low

  * New upstream release. (closes: #278643)
  * debian/control: Update dependency.
  * debian/control: Suggests namazu2-index-tools.
  * debian/README.Debian.in: Modify sample of mew-mbox-command-arg.
  * debian/emacsen-install.in: mew-nmz depends on w3m-namazu.
  * debian/emacsen-install.in: Ready for emacsen flavors sxemacs*.
  * debian/rules: Generate debian/docs, debian/examples and debian/info at
    build time.
  * debian/rules: Use the configure script.
  * debian/rules: Don't install contrib/*.texi.
  * debian/rules: Don't install `CVS' directories.
  * debian/watch: New file.
  * Ready for dpatch.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Sat,  4 Jun 2005 14:40:08 +0900

mew (1:3.3+0.20040715-6) unstable; urgency=medium

  * debian/mewstunnel: New file, wrapper script for using stunnel4 or stunnel.
  * debian/mewstunnel.1: New file, manpage for mewstunnel.
  * debian/rules: Install mewstunnel and mewstunnel.1.
  * debian/emacsen-startup.in: Set the mew-prog-ssl variable to "mewstunnel",
    set the mew-ssl-cert-directory variable to "/etc/ssl/certs", and set
    the mew-ssl-verify-level variable to 2.
  * debian/README.Debian.in: Revise for "mew-ssl".
  * debian/emacsen-install.in: Recompile w3m-el for mew-w3m.
  * debian/control: Revise description.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Sat, 23 Apr 2005 23:53:59 +0900

mew (1:3.3+0.20040715-5) unstable; urgency=medium

  * bin/incm.c: Fix a format string bug which causes crashes from environment
    variable. (closes: #278883)
  * mew-ssl.el: Removing mew-timing() from the SSL code.
    (patch from Mew 4.1.50)
  * debian/emacsen-startup.in: Set the mew-prog-ssl variable to
    "/usr/sbin/stunnel4" if it is executable. (closes: #278735)
  * debian/README.Debian.in: Add information for mew-prog-ssl.
  * debian/control: Suggests `stunnel4'.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Sat, 30 Oct 2004 17:49:56 +0900

mew (1:3.3+0.20040715-4) unstable; urgency=high

  * Fix race condition problem of +queue again.
    - mew-net.el: An error is signaled if rename-file fails in +queue.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Mon, 23 Aug 2004 20:40:10 +0900

mew (1:3.3+0.20040715-3) unstable; urgency=high

  * Fix that mails in +queue are lost by accident. (patch from pre 4.0.66)
    - Defining mew-queue-check-new-message to avoid race condition of +queue.
  * mew-edit.el: Fix that mew-queue-backup doesn't work in
    mew-summary-reedit-for-queue.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Sun, 22 Aug 2004 17:02:46 +0900

mew (1:3.3+0.20040715-2) unstable; urgency=low

  * debian/control: Suggests `mu-cite'.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Wed, 11 Aug 2004 20:41:51 +0900

mew (1:3.3+0.20040715-1) unstable; urgency=low

  * New upstream release. (CVS snapshot, stable-3-2 branch on 2004-07-15


=== debian/control ===
Source: mew
Section: mail
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1:1.1.3)
Standards-Version: 3.9.2
Homepage: http://www.Mew.org/

Package: mew
Section: lisp
Architecture: all
Depends: mew-bin (>= 1:5.3), emacs | emacs23 | emacs22 | emacs21 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Suggests: w3m-el, gnupg, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
Replaces: mew-beta
Conflicts: mew-beta
Provides: mail-reader, imap-client, news-reader
Description: mail reader supporting PGP/MIME for Emacs
 Mew (Messaging in the Emacs World) is a user interface for text messages,
 multimedia messages (MIME), news articles and security functionality
 including PGP, S/MIME, SSH and SSL.
 .
 The features of Mew are as follows:
 .
  - POP, SMTP, NNTP and IMAP are supported.
  - You can easily display a very complicated structured message.
  - You can start to read messages before they are all fully listed.
  - For refiling, default folders are neatly suggested.
  - You can complete field names, e-mail addresses, receiver's names,
    domain names and folder names.
  - You can easily search messages with keywords etc.
  - Thread, a mechanism to display the flow of messages, is supported.

Package: mew-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: stunnel4 | stunnel, ca-certificates, hyperestraier, ruby1.8, libsqlite3-ruby
Enhances: mew, gnupg-agent
Replaces: mew-beta-bin
Conflicts: mew-beta-bin, mew (<< 1:4)
Provides: mail-reader, pinentry
Description: external commands for Mew
 The mew-bin package contains external commands for the mew package.
 .
  - mewencode: encode/decode MIME objects
  - mewl: extract necessary fields from messages stored in folders
  - incm: incoporate new mails from maildir or mbox to Mew's inbox folder
  - mewest: update indexes of Hyper Estraier
  - mew-pinentry: front end of gpg-agent to ask a passphrase to a user
  - mewstunnel: wrapper script for using stunnel
  - cmew: create Mew's database file
  - smew: search related messages from Mew's database file

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DH_OPTIONS

PACKAGE=`cat debian/PACKAGE`
PKGSNAME=mew

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

configure-stamp: configure
	dh_testdir
	./configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man
	grep '^Package: ' debian/control | head -1 | sed -e "s/^Package: //g" > debian/PACKAGE
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/README.Debian.in > debian/README.Debian
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/dirs.in > debian/dirs
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-install.in > debian/emacsen-install
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-remove.in > debian/emacsen-remove
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-startup.in > debian/emacsen-startup
	ls -1 00* | egrep -v '(^00copyright$$|^00changes)' > debian/docs
	ls -1 mew.dot.* > debian/examples
	ls -1 info/mew.*info* > debian/info
	touch $@

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	$(MAKE) bin
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp debian/PACKAGE debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup debian/docs debian/examples debian/info
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: install-arch install-indep
install-indep: DH_OPTIONS=-i
install-indep: 
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cp mew*.el debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PKGSNAME)/
	for f in debian/mew*.el; do \
	  if [ -f "$$f" ]; then \
	    cp "$$f" debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PKGSNAME)/; \
	  fi; \
	done
	for f in 00changes.*; do \
	  if [ -f "$$f" ]; then \
	    cp "$$f" debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.`echo $$f | sed -e s/00changes.//`; \
	  fi; \
	done
	cp -r etc/* debian/$(PACKAGE)/usr/share/pixmaps/$(PKGSNAME)/
	cp contrib/00* debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/contrib/
	cp contrib/mew*.el debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PKGSNAME)/contrib/
	for f in alpha beta; do \
	  if [ -e "$$f" ]; then \
	    cp -r "$$f" debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/; \
	  fi; \
	done
	find debian/$(PACKAGE) -name CVS -prune -exec rm -rf {} \;
	find debian/$(PACKAGE) -name .cvsignore -prune -exec rm -rf {} \;

install-arch: DH_OPTIONS=-a
install-arch: 
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGE)-bin install-bin
	install -m 755 debian/mewstunnel debian/$(PACKAGE)-bin/usr/bin
	install -m 644 debian/mewstunnel.1 debian/$(PACKAGE)-bin/usr/share/man/man1
	rm -f debian/$(PACKAGE)-bin/usr/bin/mewdecode
	rm -f debian/$(PACKAGE)-bin/usr/bin/mewcat
	rm -f debian/$(PACKAGE)-bin/usr/share/man/man1/mewdecode.1*
	rm -f debian/$(PACKAGE)-bin/usr/share/man/man1/mewcat.1*

binary-indep: DH_OPTIONS=-i
binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installemacsen
	dh_installman 
	dh_installinfo
	dh_installchangelogs 00changes
	dh_link -p$(PACKAGE) usr/share/pixmaps/$(PKGSNAME) usr/share/emacs/site-lisp/$(PKGSNAME)/etc
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: DH_OPTIONS=-a
binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installinfo
	dh_installchangelogs 00changes
	dh_strip
	dh_link -p$(PACKAGE)-bin usr/bin/mewencode usr/bin/mewdecode
	dh_link -p$(PACKAGE)-bin usr/bin/mewencode usr/bin/mewcat
	dh_link -p$(PACKAGE)-bin usr/share/man/man1/mewencode.1 usr/share/man/man1/mewdecode.1
	dh_link -p$(PACKAGE)-bin usr/share/man/man1/mewencode.1 usr/share/man/man1/mewcat.1
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch build-indep build-arch

## mew 6.4

=== debian/changelog ===
mew (1:6.4-3) unstable; urgency=low

  * debian/rules: Use dpkg-buildflags to support hardening flags
  * debian/control: Add emacs24 to Depends

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 07 Jul 2012 00:15:53 +0900

mew (1:6.4-2) unstable; urgency=low

  * debian/patches/060_cmew-blob.patch: New patch from upstream to prevent
    that Ruby 1.9 stores blob data into id.db.
  * debian/patches/070_stunnel453.patch: New patch to support stunnel 4.53
    from [mew-dist 29486] on 2012-03-28, provided by TAKANO Yuji.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 31 Mar 2012 01:20:01 +0900

mew (1:6.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/010_contrib.patch: New patch from upstream for
    contribution files to Mew.
  * debian/patches/020_ruby1.8.patch: Removed. (unneeded)
  * debian/patches/030_stunnel4.patch: Removed. (merged upstream)
  * debian/patches/050_cmew.patch: New patch from upstream to fix cmew
    bugs.
  * debian/*: Merge from mew-beta.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 11 Mar 2012 22:54:14 +0900

mew (1:6.3-4) unstable; urgency=low

  * debian/patches/040_stunnel451.patch: Patch from upstream to support
    stunnel 4.51 and later.
  * debian/copyright: Update copyright-format version to 1.0.
  * debian/control: Update Standards-Version to 3.9.3.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 07 Mar 2012 23:15:51 +0900

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1:1.1.3)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.Mew.org/
 
 Package: mew
 Section: lisp
 Architecture: all
-Depends: mew-bin (>= 1:5.3), emacs | emacs23 | emacs22 | emacs21 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: mew-bin (>= 1:5.3), emacs | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Suggests: w3m-el, gnupg, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
 Replaces: mew-beta
 Conflicts: mew-beta
@@ -33,7 +33,7 @@
 Package: mew-bin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: stunnel4 | stunnel, ca-certificates, hyperestraier, ruby1.8, libsqlite3-ruby
+Recommends: stunnel4 | stunnel, ca-certificates, hyperestraier, ruby | ruby-interpreter, libsqlite3-ruby
 Enhances: mew, gnupg-agent
 Replaces: mew-beta-bin
 Conflicts: mew-beta-bin, mew (<< 1:4)

## mew 6.5

=== info/Makefile ===
###
### Makefile for info
###
### Author:  Kazu Yamamoto <Kazu@Mew.org>
### Created: Aug 22, 1999
### Revised: 

###
### (1) make EMACS=xemacs
### (2) make install
###

################################################################
##
## EDIT THE FOLLOWINGS
##

prefix=/usr/local
infodir=$(prefix)/info

EMACS=emacs

INSTALLINFO = `which install-info`
#INSTALLINFO = /usr/local/bin/install-info

#INSTALLINFO_OPTIONS = --section Emacs Emacs
#INSTALLINFO_JOPTIONS =
#infodir = 
INSTALLINFO_ARGS  = --info-dir=$(infodir) mew.info
#INSTALLINFO_ARGS  = mew.info 
INSTALLINFO_JARGS = --info-dir=$(infodir) mew.ja.info


RM = rm -f
MKDIR = mkdir -p
TOUCH = touch
# To save Emacses on Windows
PWD =

################################################################
##
## DO NOT EDIT THE FOLLOWINGS
##

DESTDIR =

all: info
info:
	sed -e 's/@setfilename mew.ja.info/@setfilename mew.info/' \
	    -e 's/@set ja/@set en/' mew.texi > tmp.texi
	mv tmp.texi mew.texi
	$(RM) mew.info*
	$(TOUCH) mew.info
	$(EMACS) -batch -q -no-site-file -l texinfmt \
		-f batch-texinfo-format mew.texi

jinfo:
	sed -e 's/@setfilename mew.info/@setfilename mew.ja.info/' \
	    -e 's/@set en/@set ja/' mew.texi > tmp.texi
	mv tmp.texi mew.texi
	$(RM) mew.ja.info*
	$(TOUCH) mew.ja.info
	$(EMACS) -batch -q -no-site-file -l texinfmt \
		-f batch-texinfo-format mew.texi

install: install-info
install-info:
	-@if [ ! -d $(DESTDIR)$(infodir) ]; then \
		$(MKDIR) $(DESTDIR)$(infodir); \
	fi; \
	cp mew.info* $(DESTDIR)$(infodir)
	-@if [ -z "$(DESTDIR)" ] && [ -x "$(INSTALLINFO)" ]; then \
		$(INSTALLINFO) $(INSTALLINFO_OPTIONS) $(INSTALLINFO_ARGS); \
	else \
		echo "Don't forget to edit $(infodir)/dir for Mew."; \
	fi

install-jinfo:
	-@if [ ! -d $(DESTDIR)$(infodir) ]; then \
		$(MKDIR) $(DESTDIR)$(infodir); \
	fi; \
	cp mew.ja.info* $(DESTDIR)$(infodir)
	-@if [ -z "$(DESTDIR)" ] && [ -x "$(INSTALLINFO)" ]; then \
		$(INSTALLINFO) $(INSTALLINFO_JOPTIONS) $(INSTALLINFO_JARGS); \
	else \
		echo "Don't forget to edit $(infodir)/dir for Mew."; \
	fi
##
## End of Makefile
##

=== bin/d/Makefile ===
# You NEED TO make a link "sqlite3.a" to its entity.
# (e.g /usr/lib/libsqlite3.dylib on Mac)

TGT = smew
OBJ = smew.o Sqlite3DB.o SearchEngine.o
LIB = sqlite3.a

DC = dmd

.SUFFIXES: .d
.d.o:
	$(DC) -c $<

all: $(TGT)

$(TGT): $(OBJ)
	$(DC) -of$@ $(OBJ) $(LIB)

clean:
	rm -f $(TGT) $(OBJ)

=== debian/changelog ===
mew (1:6.5-7) unstable; urgency=low

  * New patch 060_cache-long-scans.patch due to emacs-snapshot crash
  * Workaround for emacsen-common <2 and debhelper <9.20131104

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 26 Dec 2013 22:41:45 +0900

mew (1:6.5-6) unstable; urgency=low

  * Add workaround to compatible with emacsen-common <2.0.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Dec 2013 15:15:34 +0900

mew (1:6.5-5) unstable; urgency=low

  * New patch 050_Use-ppmtogif.patch
  * Update Standards-Version to 3.9.5

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 01 Dec 2013 23:39:44 +0900

mew (1:6.5-4) unstable; urgency=low

  * Replace libsqlite3-ruby by ruby-sqlite3 (closes: #726746)

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 19 Oct 2013 14:35:26 +0900

mew (1:6.5-3) unstable; urgency=low

  * New patch 030_Use-auth-user-for-smtp-passtag.patch
  * New patch 040_Define-mew-regex-url-in-mew-lang-jp.patch
  * Set Homepage to http://www.mew.org/

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 22 Jun 2013 15:05:00 +0900

mew (1:6.5-2) unstable; urgency=low

  * New patch 020_Fix-segfault-of-mewl.patch
  * Update Homepage to the /en/ page

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 31 May 2013 00:31:36 +0900

mew (1:6.5-1) unstable; urgency=low

  * Imported Upstream version 6.5
  * Remove 070_stunnel453.patch (merged upstream)
  * Remove 060_cmew-blob.patch (merged upstream)
  * Remove 050_cmew.patch (merged upstream)
  * Remove 040_stunnel451.patch (merged upstream)
  * debian/copyright: Updated
  * Remove contrib from debian/dirs
  * Add Vcs-Git and Vcs-Browser
  * Update Standards-Version to 3.9.4

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 08 May 2013 00:47:35 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1:1.1.3)
-Standards-Version: 3.9.3
-Homepage: http://www.Mew.org/
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/collab-maint/mew.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mew.git
+Homepage: http://www.mew.org/
 
 Package: mew
 Section: lisp
@@ -33,7 +35,7 @@
 Package: mew-bin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: stunnel4 | stunnel, ca-certificates, hyperestraier, ruby | ruby-interpreter, libsqlite3-ruby
+Recommends: stunnel4 | stunnel, ca-certificates, hyperestraier, ruby | ruby-interpreter, ruby-sqlite3
 Enhances: mew, gnupg-agent
 Replaces: mew-beta-bin
 Conflicts: mew-beta-bin, mew (<< 1:4)

## mew 6.6

=== debian/changelog ===
mew (1:6.6-2+deb8u1) jessie; urgency=medium

  * New patch 060_encrypt.patch to fix incorrect keys in encryption
    (closes: #784721)

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 08 May 2015 11:16:31 +0900

mew (1:6.6-2) unstable; urgency=medium

  * Depend on emacsen-common 2.0.8

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 20 Aug 2014 19:38:59 +0900

mew (1:6.6-1) unstable; urgency=medium

  * Imported Upstream version 6.6
  * Drop 070_stunnel5.patch (merged upstream)
  * Drop 040_Define-mew-regex-url-in-mew-lang-jp.patch (merged upstream)
  * Drop 030_Use-auth-user-for-smtp-passtag.patch (merged upstream)
  * Drop 020_Fix-segfault-of-mewl.patch (merged upstream)
  * Update 050_Use-ppmtogif.patch to 020_netpbm.patch
  * Update 060_cache-long-scans.patch to 030_*
  * Update debian/copyright
  * New patch 040_Increase-mew-header-reasonable-size.patch
  * Do not fail when 00changes is not found

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 19 May 2014 22:20:36 +0900

mew (1:6.5-8) unstable; urgency=medium

  * New patch 070_stunnel5.patch to support stunnel 5.x
  * Drop ruby-interpreter from ruby | ruby-interpreter
  * Install a compat file with emacsen-compat
  * Handle an installed file to follow emacsen-common 2.0.7
  * Add emacsen-common (<< 2.0.0) to Conflicts
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 12 Apr 2014 00:40:16 +0900

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: mew
 Section: lisp
 Architecture: all
-Depends: mew-bin (>= 1:5.3), emacs | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: mew-bin (>= 1:5.3), emacsen-common (>= 2.0.8), emacs | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Suggests: w3m-el, gnupg, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
 Replaces: mew-beta
 Conflicts: mew-beta
@@ -35,7 +35,7 @@
 Package: mew-bin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: stunnel4 | stunnel, ca-certificates, hyperestraier, ruby | ruby-interpreter, ruby-sqlite3
+Recommends: stunnel4 | stunnel, ca-certificates, hyperestraier, ruby, ruby-sqlite3
 Enhances: mew, gnupg-agent
 Replaces: mew-beta-bin
 Conflicts: mew-beta-bin, mew (<< 1:4)

## mew 6.7

=== debian/changelog ===
mew (1:6.7-4) unstable; urgency=medium

  * New patch 050_soffice.patch to use soffice instead of ooffice
  * Prefer emacs-nox over emacs
  * Update debhelper compat version to 9
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 14 Jan 2017 11:40:10 +0900

mew (1:6.7-3) unstable; urgency=medium

  * Suggest gnupg | gnupg2 | gnupg1
  * Explicitly prefer gpg1 in emacsen-startup

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 15 Oct 2016 18:51:14 +0900

mew (1:6.7-2) unstable; urgency=medium

  * New patch 040_gpg2.patch to support GnuPG 2 and 1.4.21 for old PGP
  * Add gpgv1 to Suggests
  * Typo fix in Description
  * Update Vcs-Browser to https
  * Update debian/copyright
  * Update Standards-Version to 3.9.8
  * Accept emacs25

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 11 Oct 2016 21:35:24 +0900

mew (1:6.7-1) unstable; urgency=medium

  * Imported Upstream version 6.7
  * Drop 060_encrypt.patch (merged upstream)
  * Drop 050_bashism.patch (merged upstream)
  * Drop 040_Increase-mew-header-reasonable-size.patch (merged upstream)
  * Update mewstunnel to mention stunnel 5.x is provided by stunnel4
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 04 Aug 2015 20:29:20 +0900

mew (1:6.6-3) unstable; urgency=medium

  * New patch 050_bashism.patch to fix bashism in mewest (closes: #772312)
  * New patch 060_encrypt.patch to fix incorrect keys in encryption
  * Update debian/copyright
  * Update Vcs-Browser
  * Update Standards-Version to 3.9.6

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 08 May 2015 10:39:36 +0900

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: mail
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1:1.1.3)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), zlib1g-dev (>= 1:1.1.3)
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/mew.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mew.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mew.git
 Homepage: http://www.mew.org/
 
 Package: mew
 Section: lisp
 Architecture: all
-Depends: mew-bin (>= 1:5.3), emacsen-common (>= 2.0.8), emacs | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
-Suggests: w3m-el, gnupg, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
+Depends: mew-bin (>= 1:5.3), emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Suggests: w3m-el, gnupg | gnupg2 | gnupg1, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
 Replaces: mew-beta
 Conflicts: mew-beta
 Provides: mail-reader, imap-client, news-reader
@@ -45,7 +45,7 @@
  .
   - mewencode: encode/decode MIME objects
   - mewl: extract necessary fields from messages stored in folders
-  - incm: incoporate new mails from maildir or mbox to Mew's inbox folder
+  - incm: incorporate new mails from maildir or mbox to Mew's inbox folder
   - mewest: update indexes of Hyper Estraier
   - mew-pinentry: front end of gpg-agent to ask a passphrase to a user
   - mewstunnel: wrapper script for using stunnel

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/pre/~pre/" \
http://www.mew.org/Release/mew-([0-9].*)\.tar\.gz debian uupdate

## mew 6.8

=== debian/changelog ===
mew (1:6.8-6) unstable; urgency=medium

  * New patch 070_checkhost.patch to support checkHost for stunnel
  * Update Standards-Version to 4.5.0

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 30 Jan 2020 19:47:21 +0900

mew (1:6.8-5) unstable; urgency=medium

  * Prefer gpg over gpg2 (closes: #946713)
  * New patch 050_smtp-buf.patch to clear queue work buffers
  * New patch 060_jpeg-size.patch to accept progressive JPEG
  * Add lintian-overrides for usr/bin/incm
  * Update debhelper-compat to 12
  * Skip old flavors emacs23 and emacs22
  * Add Rules-Requires-Root: binary-targets
  * Update Standards-Version to 4.4.1
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 06 Jan 2020 21:21:46 +0900

mew (1:6.8-4) unstable; urgency=medium

  [ YAMANAKA Hitoshi ]
  * debian/rules: chgrp mail + chmod g+s to /usr/bin/incm

  [ Tatsuya Kinoshita ]
  * New patch 040_incm-lock.patch to not unlock when incm can't get lock
  * Use debhelper-compat 11
  * Update debian/copyright
  * Update Standards-Version to 4.3.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 06 Jan 2019 00:22:08 +0900

mew (1:6.8-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

  [ Tatsuya Kinoshita ]
  * Check stamp file so that source file isn't newer
  * Add sensible-utils to Suggests
  * Update debian/watch to https
  * Update Standards-Version to 4.2.1
  * Set mew-delete-temp-file to nil in emacsen-startup

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 27 Nov 2018 00:04:27 +0900

mew (1:6.8-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass --host to ./configure (closes: #902040)

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 22 Jun 2018 21:11:20 +0900

mew (1:6.8-1) unstable; urgency=medium

  * New upstream version 6.8
  * Drop 060_stunnel.patch
  * Drop 050_soffice.patch
  * Drop 040_gpg2.patch
  * Explicitly prefer gpg2 in emacsen-startup
  * Handle symlinks for emacsen-startup
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 07 Jun 2018 21:01:59 +0900

mew (1:6.7-6) unstable; urgency=medium

  * Accept unversioned emacs flavor for emacsen-common 3.0.0
  * Drop workaround for emacsen-common 1.x

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 Jun 2018 19:16:04 +0900

mew (1:6.7-5) unstable; urgency=medium

  * New patch 060_stunnel.patch to support stunnel 5.45
  * Don't recommend hyperestraier (closes: #895069)
  * Update debhelper compat version to 11
  * Drop emacs21
  * Migrate from anonscm.debian.org to salsa.debian.org
  * Update debian/copyright
  * Update Standards-Version to 4.1.4

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 28 May 2018 22:26:01 +0900

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: mail
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 9), zlib1g-dev (>= 1:1.1.3)
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/collab-maint/mew.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mew.git
+Build-Depends: debhelper-compat (= 12), zlib1g-dev (>= 1:1.1.3)
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian/mew
+Vcs-Git: https://salsa.debian.org/debian/mew.git
 Homepage: http://www.mew.org/
+Rules-Requires-Root: binary-targets
 
 Package: mew
 Section: lisp
 Architecture: all
-Depends: mew-bin (>= 1:5.3), emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
-Suggests: w3m-el, gnupg | gnupg2 | gnupg1, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
+Depends: mew-bin (>= 1:5.3), emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Suggests: sensible-utils, w3m-el, gnupg | gnupg2 | gnupg1, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
 Replaces: mew-beta
 Conflicts: mew-beta
 Provides: mail-reader, imap-client, news-reader
@@ -35,7 +36,8 @@
 Package: mew-bin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: stunnel4 | stunnel, ca-certificates, hyperestraier, ruby, ruby-sqlite3
+Recommends: stunnel4 | stunnel, ca-certificates, ruby, ruby-sqlite3
+Suggests: hyperestraier
 Enhances: mew, gnupg-agent
 Replaces: mew-beta-bin
 Conflicts: mew-beta-bin, mew (<< 1:4)

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DH_OPTIONS

PACKAGE=`cat debian/PACKAGE`
PKGSNAME=mew
CHG_SUFFIX=`test -f 00changes || ls -1 00changes.* | sed s/00changes// | sort -n -t . -k 2,2 -k 3 | tail -1`

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
CFLAGS=$(shell $(dpkg_buildflags) --get CFLAGS)
CPPFLAGS=$(shell $(dpkg_buildflags) --get CPPFLAGS)
LDFLAGS=$(shell $(dpkg_buildflags) --get LDFLAGS)

configure-stamp: configure
	dh_testdir
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
	grep '^Package: ' debian/control | head -1 | sed -e "s/^Package: //g" > debian/PACKAGE
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/README.Debian.in > debian/README.Debian
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/dirs.in > debian/dirs
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-install.in > debian/emacsen-install
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-remove.in > debian/emacsen-remove
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-startup.in > debian/emacsen-startup
	ls -1 00* | egrep -v '(^00copyright$$|^00changes)' > debian/docs
	ls -1 *dot.* > debian/examples
	ls -1 info/mew.*info* > debian/info
	touch $@

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	$(MAKE) bin
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp debian/PACKAGE debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup debian/docs debian/examples debian/info
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: install-arch install-indep
install-indep: DH_OPTIONS=-i
install-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cp mew*.el debian/$(PACKAGE)/usr/share/$(PKGSNAME)
	for f in debian/mew*.el; do \
	  if [ -f "$$f" ]; then \
	    cp "$$f" debian/$(PACKAGE)/usr/share/$(PKGSNAME); \
	  fi; \
	done
	for f in 00changes.*; do \
	  if [ -f "$$f" ]; then \
	    cp "$$f" debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.`echo $$f | sed -e s/00changes.//`; \
	  fi; \
	done
	rm -f debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog$(CHG_SUFFIX)
	cp -r etc/* debian/$(PACKAGE)/usr/share/pixmaps/$(PKGSNAME)
	if [ -d contrib ]; then \
	  mkdir debian/$(PACKAGE)/usr/share/$(PKGSNAME)/contrib; \
	  cp contrib/mew*.el debian/$(PACKAGE)/usr/share/$(PKGSNAME)/contrib; \
	fi
	for f in alpha beta; do \
	  if [ -d "$$f" ]; then \
	    cp -r "$$f" debian/$(PACKAGE)/usr/share/doc/$(PACKAGE); \
	  fi; \
	done

install-arch: DH_OPTIONS=-a
install-arch:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGE)-bin install-bin
	install -m 755 debian/mewstunnel debian/$(PACKAGE)-bin/usr/bin
	install -m 644 debian/mewstunnel.1 debian/$(PACKAGE)-bin/usr/share/man/man1
	rm -f debian/$(PACKAGE)-bin/usr/bin/mewdecode
	rm -f debian/$(PACKAGE)-bin/usr/bin/mewcat
	rm -f debian/$(PACKAGE)-bin/usr/share/man/man1/mewdecode.1*
	rm -f debian/$(PACKAGE)-bin/usr/share/man/man1/mewcat.1*

binary-indep: DH_OPTIONS=-i
binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installemacsen
	dh_installman
	dh_installinfo
	dh_installchangelogs 00changes$(CHG_SUFFIX)
	dh_link -p$(PACKAGE) usr/share/pixmaps/$(PKGSNAME) usr/share/$(PKGSNAME)/etc
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: DH_OPTIONS=-a
binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installinfo
	dh_installchangelogs 00changes$(CHG_SUFFIX)
	dh_strip
	dh_link -p$(PACKAGE)-bin usr/bin/mewencode usr/bin/mewdecode
	dh_link -p$(PACKAGE)-bin usr/bin/mewencode usr/bin/mewcat
	dh_link -p$(PACKAGE)-bin usr/share/man/man1/mewencode.1 usr/share/man/man1/mewdecode.1
	dh_link -p$(PACKAGE)-bin usr/share/man/man1/mewencode.1 usr/share/man/man1/mewcat.1
	dh_compress
	dh_fixperms
	chgrp mail debian/$(PACKAGE)-bin/usr/bin/incm
	chmod g+s  debian/$(PACKAGE)-bin/usr/bin/incm
	dh_lintian
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch build-indep build-arch

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/pre/~pre/" \
https://www.mew.org/Release/mew-([0-9].*)\.tar\.gz debian uupdate
